package com.pjilisense.flxai.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;


/**
 * ${comments}
 *
 * @author liushujing liushujing@philisense.com
 * @since 1.0.0 2025-02-26
 */
@Data
@ApiModel(value = "${comments}")
public class MyDigitalHumanDTO implements Serializable {
    private static final long serialVersionUID = 1L;

	@ApiModelProperty(value = "主键")
	private String id;

	@ApiModelProperty(value = "用户表ID")
	private String userid;

	@ApiModelProperty(value = "数字形象ID数字图片表ID")
	private String imageid;

	@ApiModelProperty(value = "场景ID数字图片表ID")
	private String sceneimgid;

	@ApiModelProperty(value = "背景ID数字图片表ID")
	private String bkimgid;

	@ApiModelProperty(value = "选择的声音ID")
	private String voiceid;

	@ApiModelProperty(value = "声音的语言")
	private String voicelanguage;

	@ApiModelProperty(value = "声音风格ID")
	private String voicestyleid;

	@ApiModelProperty(value = "语速")
	private String speedspeech;

	@ApiModelProperty(value = "语调")
	private String intonation;

	@ApiModelProperty(value = "音量")
	private String volume;

	@ApiModelProperty(value = "视频存放目录")
	private String videodir;

	@ApiModelProperty(value = "声音存放目录")
	private String voicedir;


}